<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".mobile.customer.ui.produk.DetailProductActivity">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appbar"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:fitsSystemWindows="true">

        <com.google.android.material.appbar.CollapsingToolbarLayout
            android:id="@+id/collapsingToolbarDetailProduct"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fitsSystemWindows="true"
            app:contentScrim="?attr/colorPrimary"
            app:expandedTitleMarginEnd="64dp"
            app:expandedTitleMarginStart="48dp"
            app:layout_scrollFlags="scroll|exitUntilCollapsed">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true"
                app:layout_collapseMode="parallax">

                <androidx.viewpager.widget.ViewPager
                    android:id="@+id/viewPagerDetailProduct"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:fitsSystemWindows="true" />

                <LinearLayout
                    android:id="@+id/sliderIndicator"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:padding="16dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbarDetailProduk"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:layout_collapseMode="pin"
                app:layout_scrollFlags="scroll|enterAlways"
                android:theme="@style/ToolbarColoredBackArrow"/>

        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <RelativeLayout
        android:id="@+id/rl_produk_atas"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/appbar"
        android:layout_marginHorizontal="12dp"
        android:layout_marginVertical="20dp"
        android:gravity="center_horizontal|center_vertical">

        <RelativeLayout
            android:id="@+id/ly_nama_produk"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="15dp">

            <TextView
                android:id="@+id/tv_nama_produk"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/roboto"
                android:text="Produk"
                android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                android:textColor="#000000"
                android:textSize="16sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/im_bintang"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_toStartOf="@+id/tv_bintang"
                android:contentDescription="Star"
                app:srcCompat="@drawable/star_24px" />

            <TextView
                android:id="@+id/tv_bintang"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:text="4.5"
                android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                android:textColor="@color/colorBlack"
                android:textSize="16sp"
                android:textStyle="bold" />
        </RelativeLayout>

        <TextView
            android:id="@+id/tv_detail_deksripsi"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ly_nama_produk"
            android:fontFamily="@font/roboto_light"
            android:text="Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book."
            android:textColor="@color/colorBlack"
            android:textSize="12sp" />

        <View
            android:id="@+id/garis"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@id/tv_detail_deksripsi"
            android:layout_marginVertical="10dp"
            android:background="@android:color/darker_gray" />

        <RelativeLayout
            android:id="@+id/ry_bookmarks"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/garis">

            <LinearLayout
                android:id="@+id/ly_bookmarks"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp">

                <ImageView
                    android:id="@+id/im_bookmarks"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:contentDescription="Bookmarks"
                    app:srcCompat="@drawable/bookmarks" />

                <TextView
                    android:id="@+id/tv_bookmarks"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:fontFamily="@font/roboto_light"
                    android:gravity="clip_vertical"
                    android:text="Makanan, Kue Tradisional, Jajanan Malam, Khas Sulawesi Selatan"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ly_location"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/ly_bookmarks"
                android:layout_marginVertical="5dp">

                <ImageView
                    android:id="@+id/imageView4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:contentDescription="Location"
                    app:srcCompat="@drawable/location" />

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:fontFamily="@font/roboto_light"
                    android:gravity="center"
                    android:text="Sulawesi Selatan"
                    android:textSize="12sp" />
            </LinearLayout>
        </RelativeLayout>

        <View
            android:id="@+id/garis_bawah"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@id/ry_bookmarks"
            android:layout_marginVertical="10dp"
            android:background="@android:color/darker_gray" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/colorGreyOpactity"
        android:gravity="center"
        android:layout_above="@+id/ly_button">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginStart="15dp"
            android:fontFamily="@font/roboto"
            android:gravity="center"
            android:text="Total : Rp. 120.000"
            android:textColor="@color/colorBlack"
            android:textSize="14sp"
            android:textStyle="bold" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="15dp"
            android:gravity="center"
            android:text="Qty : 1"/>

    </RelativeLayout>



    <LinearLayout
        android:id="@+id/ly_button"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal">

        <Button
            android:id="@+id/bt_beli_sekarang"
            android:layout_width="0dp"
            android:layout_height="fill_parent"
            android:layout_weight="1"
            android:background="#B82E32"
            android:text="Complaint"
            android:textAllCaps="false"
            android:textColor="@color/colorWhite" />

        <Button
            android:id="@+id/bt_tambah_keranjang"
            android:layout_width="0dp"
            android:layout_height="fill_parent"
            android:layout_weight="1"
            android:background="@color/colorYellowButton"
            android:text="Review"
            android:textAllCaps="false"
            android:textColor="@color/colorBlack" />

    </LinearLayout>

</RelativeLayout>